<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package FotoGraphy
 */
get_header();
$post_sidebar = esc_attr(get_post_meta($post->ID, 'fotography_page_layouts', true));
?>

<div class="container">
    <header class="page-title">
        <h1>
            <span class="outer">
                <?php the_title(); ?>
                <div class="clearfix"></div>
                <span class="inner">
                </span>
            </span>
        </h1>      
    </header>
    <div class="clearfix">
        <?php
        if ($post_sidebar == 'leftsidebar') {
            get_sidebar('left');
        }
        ?>
        <?php if (!($post_sidebar == 'nosidebar')) { ?>
            <div id="primary" class="content-area">
            <?php } else { ?>
                <div id="third" class="full-content-area">
                <?php } ?>
                <main id="main" class="site-main" role="main">

                    <?php while (have_posts()) : the_post(); ?>

                        <?php get_template_part('template-parts/content', 'page'); ?>                    

                    <?php endwhile; // End of the loop. ?>

                </main><!-- #main -->

            </div>


            <?php
            if ($post_sidebar == 'rightsidebar') {
                get_sidebar('right');
            }
            ?>
        </div><!-- .clearfix -->
    </div><!-- .Container -->
</div>
    <?php get_footer(); ?>
