<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package FotoGraphy
 */
$author = get_theme_mod('fotography_gallery_author_archive_section');
$postdate = get_theme_mod('fotography_gallery_postdate_archive_section');
$categry = get_theme_mod('fotography_gallery_metacategory_archive_section');
$likeimage = get_theme_mod('fotography_gallery_image_like_archive_section');
?>
<div class="container">
    <header class="page-title">
        <h1>
            <span class="outer">
                <?php single_cat_title('', true); ?>
                <div class="clearfix"></div>
                <span class="inner">
                </span>
            </span>
        </h1>
    </header>
    <div class="clearfix"></div>
    <div id="third" class="full-content-area clearfix">
        <article class="home_gallery inner_home_gallery clearfix">    
            <section id="main" class="thumb-view clearfix">
                <div class="row masonry for-mosaic isotope grid clearfix">
                    <?php
                    $catid = get_the_category();
                    $current_id = $catid[0]->cat_ID;
                    $post_category = explode(',', $current_id);
                    $args = array('post_type' => 'post',
                        'tax_query' => array(
                            array(
                                'taxonomy' => 'category',
                                'field' => 'id',
                                'terms' => $post_category
                            )
                        )
                    );
                    $query = new WP_Query($args);

                    if ($query->have_posts()): $i = 1;
                        while ($query->have_posts()) : $query->the_post();
                            ?>
                            <?php
                            if ($i <= 2 || $i == 6 || $i == 7 || $i == 9 || $i == 10) {
                                $masonary_class = 'grid-small';
                                $image_url = get_template_directory_uri() . "/images/image-square.png";
                                $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-small', true);
                            } elseif ($i == 4 || $i == 5 || $i == 12) {
                                $masonary_class = 'grid-medium';
                                $image_url = get_template_directory_uri() . "/images/image-rect.png";
                                $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-medium', true);
                            } elseif ($i == 3 || $i == 8 || $i == 11) {
                                $masonary_class = 'grid-large';
                                $image_url = get_template_directory_uri() . "/images/image-square.png";
                                $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-grid-large', true);
                            }
                            ?>
                            <div class="masonry_elem columns isotope-item element-item <?php echo esc_attr($masonary_class); ?>">
                                <div class="thumb-elem large-mosaic-elem small-mosaic-elem  hovermove large-mosaic-elem">              
                                    <header class="thumb-elem-header">
                                        <div class="featimg">			                
                                            <img class="the-thumb" src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                            <img class="transparent-image" src="<?php echo esc_url($image_url); ?>">
                                        </div>
                                        <div class="grid-hover">
                                            <span class="grid-hover_outer">
                                                <span class="grid-hover_inner">
                                                    <span class="home-title">
                                                            <a href="<?php the_permalink(); ?>" class="home-title-main">
                                                                <?php the_title(); ?>
                                                            </a>                                                            
                                                        </span>
                                                        <span class="home-category-like">
														<?php echo fotography_getPostLikeLink(get_the_ID()); ?>
														</span>
                                                        <span class="home-category">
                                                    <div class="gallery-meta">
                                                        <ul>
                                                            <?php if ($author == 'yes') : ?>
                                                                <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                                            <?php endif; ?>
                                                            <?php if ($postdate == 'yes') : ?>
                                                                <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                                                            <?php endif; ?> 
                                                            <?php if ($categry == 'yes') : ?>
                                                                <li><i class="fa fa-folder-open"></i> <?php the_category(','); ?></li>
                                                            <?php endif; ?>               
                                                        </ul>
                                                    </div>
													</span>
                                                </span>
                                            </span>
                                        </div>
                                    </header>
                                </div>
                            </div> 
                            <?php
                            $i++;
                        endwhile;
                    endif;
                    wp_reset_query();
                    ?>
                </div>
            </section>    
        </article>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
</div>

