<?php
/**
 * Template part for displaying single posts.
 *
 * @package FotoGraphy
 */
?>
<?php
$post_id = get_the_ID();
$post_format = get_post_format($post_id);
$post_sidebar = esc_attr(get_post_meta($post->ID, 'fotography_page_layouts', true));
?>

<?php if ($post_format == 'image') : ?>
    <div class="image-gallery-format clearfix">
        <?php get_template_part('template-parts/gallery', 'single'); ?>
    </div>
<?php elseif ($post_format == 'video') : ?>
    <div class="video-format clearfix">
        <?php get_template_part('template-parts/video', 'single'); ?>
    </div>
<?php else : ?>
    <div class="container">
        <div class="clearfix">
            <header class="page-title">
                <h1>
                    <span class="outer">
                        <?php the_title(); ?>
                        <div class="clearfix"></div>
                        <span class="inner">
                        </span>
                    </span>
                </h1>
            </header>
            <div class="clearfix"></div>
            <?php
            if ($post_sidebar == 'leftsidebar') {
                get_sidebar('left');
            }
            if (!($post_sidebar == 'nosidebar')) {
                ?>
                <div id="primary" class="content-area clearfix">  
    <?php } ?>                      
                <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>                    
                    <div class="featureimage">
                        <?php
                        if (has_post_thumbnail()) :
                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-bxslider', true);
                            ?>
                            <img src="<?php echo $image[0]; ?>" title="<?php the_title(); ?>">
    <?php endif; ?>
                    </div>                    
                    <div class="single_page_desc clearfix">
                        <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                        <div class="entry-meta">
                            <ul>
                                <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                                <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                                <li><i class="fa fa-folder-open"></i> <?php the_category(', ') ?></li>			
                            </ul>
                        </div><!-- .entry-meta -->                      
                        <div class="entry-content">
                            <?php
                            global $post;
                            $galleries = get_post_galleries($post, false);
                            if (!empty($galleries)) {
                                $galleries = $galleries[0]['ids'];
                                $single_gallery = explode(',', $galleries);
                                ?>
                                <div class="newgallery clearfix">
                                    <div id="demo-test-gallery" class="demo-gallery clearfix" data-pswp-uid="1">
                                        <?php
                                        foreach ($single_gallery as $gallery) {
                                            $image = wp_get_attachment_image_src($gallery, 'fotography-thumb-view', true);
                                            $image_full = wp_get_attachment_image_src($gallery, 'full', true);
                                            ?>
                                            <a href="<?php echo esc_url($image_full[0]); ?>" data-size="1600x1068" data-med="<?php echo esc_url($image_full[0]); ?>" data-med-size="1024x683">
                                                <span class="outer-hover">
                                                    <span class="inner-hover"></span>
                                                    <img class="newgallery" src="<?php echo esc_url($image[0]); ?>" alt="">	
                                                </span>
                                            </a>
                                            <?php
                                        }
                                    
                                    ?>
                                </div>
                            </div>
                            <?php }
                                ob_start();
                                the_content();
                                $old_content = ob_get_clean();
                                $new_content = strip_tags($old_content);
                                echo $new_content;
                            ?>
                            <?php
                            wp_link_pages(array(
                                'before' => '<div class="page-links">' . esc_html__('Pages:', 'fotography'),
                                'after' => '</div>',
                            ));
                            ?>
                            <?php //next_post_link( '%link', 'Next post in taxonomy', TRUE ); ?>
                            
                        </div><!-- .entry-content --> 
                    </div>
                    <footer class="entry-footer">
                        <nav class="navigation post-navigation" role="navigation">
                    		<h2 class="screen-reader-text"><?php esc_html_e( 'Post navigation', 'fotography' ); ?></h2>
                    		<div class="nav-links">
                    			<?php
                                    previous_post_link( '<div class="nav-previous">%link</div>', '%title', TRUE );
        			             	next_post_link( '<div class="nav-next">%link</div>', '%title', TRUE );
                                ?>
                    		</div><!-- .nav-links -->
                    	</nav><!-- .navigation -->
                        
                        <?php //the_post_navigation(); ?>
                        <?php
                        // If comments are open or we have at least one comment, load up the comment template.
                        if (comments_open() || get_comments_number()) :
                            comments_template();
                        endif;
                        ?>
    <?php //fotography_entry_footer();  ?>
                    </footer><!-- .entry-footer -->

                </article><!-- #post-## -->
            <?php if (!($post_sidebar == 'nosidebar')) { ?>
                </div>
            <?php } ?>   
            <?php
            if ($post_sidebar == 'rightsidebar') {
                get_sidebar('right');
            }
            ?>
        </div>
    </div>
<?php endif; ?>

