<?php
/**
 * The template for displaying all single posts.
 *
 * @package FotoGraphy
 */
global $post;
$layouts = esc_attr(get_post_meta($post->ID, 'fotography_gallery_layouts', true));
?>
<?php if($layouts == 'folio' || $layouts == 'classic') : ?>
<div class="container singlecontainer">
<?php endif; ?>
<header class="page-title">
    <h1>
        <span class="outer">
            <?php the_title(); ?>
            <div class="clearfix"></div>
            <span class="inner">
            </span>
        </span>
    </h1>    
</header>
<!--
<div id="third" class="full-content-area">
-->
    <article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>

        <?php
        if (!empty($layouts) && $layouts == 'classic') {
            global $post;
            $galleries = get_post_galleries($post, false);
            if (!empty($galleries)) {
                $galleries = $galleries[0]['ids'];
                $single_gallery = explode(',', $galleries);
                ?>
                <div class="folio-gallery clearfix">
                    <div id="demo-test-gallery" class="demo-gallery clearfix" data-pswp-uid="1">
                        <?php
                        foreach ($single_gallery as $gallery) {
                            $image = wp_get_attachment_image_src($gallery, 'fotography-thumb-view', true);
                            $image_full = wp_get_attachment_image_src($gallery, 'full', true);
                            ?>
                            <a href="<?php echo esc_url($image_full[0]); ?>" data-size="1600x1068" data-med="<?php echo esc_url($image_full[0]); ?>" data-med-size="1024x683">
                                <span class="outer-hover">
                                    <span class="inner-hover"></span>
                                    <img src="<?php echo esc_url($image[0]); ?>" alt="">	
                                </span>
                            </a>
                            <?php
                        }
                    }
                    ?>
                </div>
            </div>
            <?php
        } else if (!empty($layouts) && $layouts == 'folio') {
            global $post;
            $galleries = get_post_galleries($post, false);
            if (!empty($galleries)) {
                $galleries = $galleries[0]['ids'];
                $single_gallery = explode(',', $galleries);
                ?>
                <div class="classic-gallery clearfix">
                    <ul id="light-gallery" class="gallery clearfix">
                        <?php
                        foreach ($single_gallery as $gallery) {
                            $image = wp_get_attachment_image_src($gallery, 'fotography-thumb-view', true);
                            $image_full = wp_get_attachment_image_src($gallery, 'full', true);
                            ?>		
                            <li data-src="<?php echo esc_url($image_full[0]); ?>">
                                <a href="#">
                                    <span class="outer-hover">
                                        <span class="inner-hover"></span>
                                        <img src="<?php echo esc_url($image[0]); ?>" />                                        
                                    </span>
                                </a>
                            </li>        
                            <?php
                        }
                    }
                    ?>
                </ul>
            </div>
            <?php
        } else {
            ?>
            <div id="example" class="example pagespan">
                <?php
                global $post;
                $galleries = get_post_galleries($post, false);
                if (!empty($galleries)) {
                    $galleries = $galleries[0]['ids'];
                    $single_gallery = explode(',', $galleries);
                    ?>
                    <div class="frame">
                        <ul>
                            <?php
                            $i = mt_rand(0, 9999);
                            foreach ($single_gallery as $gallery) {
                                $image = wp_get_attachment_image_src($gallery, 'fotography-sly', true);
                                $image_full = wp_get_attachment_image_src($gallery, 'full', true);
                                ?>		
                                <li>
                                    <img src="<?php echo esc_url($image_full[0]); ?>" />
                                    <div class="img-popup">
                                        <a href="<?php echo esc_url($image_full[0]); ?>" rel="prettyPhoto[<?php echo $i; ?>]"><i class="fa fa-search-plus"></i></a>
                                    </div>				       		
                                </li>		       

                                <?php
                            }
                        }
                        ?>
                    </ul>
                </div>
                <div class="scrollbar">
                    <div class="handle">
                        <div class="mousearea"></div>
                    </div>
                </div>
                <div class="controls">		
                    <button class="prev"><i class="fa fa-long-arrow-left"></i></button>
                    <button class="next"><i class="fa fa-long-arrow-right"></i></button>
                </div>
            </div>
            <div id="repos" class="repos" data-display="motio,espy,imagesloaded,fpsmeter"></div>
        <?php } ?>
        <div class="clasic-folio">
            <header class="entry-header clearfix">
                <?php the_title('<h1 class="entry-title">', '</h1>'); ?>
                <div class="clearfix"></div>
                <div class="image-like"><?php echo fotography_getPostLikeLink(get_the_ID()); ?></div>
                <div class="entry-meta">
                    <ul>
                        <li><i class="fa fa-user"></i> <?php the_author(); ?></li>
                        <li><i class="fa fa-clock-o"></i> <?php the_time(get_option('date_format')); ?></li>
                        <li><i class="fa fa-folder-open"></i> <?php the_category(', ') ?></li>			
                    </ul>
                </div><!-- .entry-meta -->
            </header><!-- .entry-header -->
            <div class="clearfix"></div>
            <div class="entry-content">
                <?php echo strip_shortcodes(preg_replace("/\< *[img][^\>]*[.]*\>/i", "", get_the_content(), 1)); ?>
                <?php
                wp_link_pages(array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'fotography'),
                    'after' => '</div>',
                ));
                ?>
            </div><!-- .entry-content -->

            <div class="gallery-post-img">	  

            </div>

            <footer class="entry-footer">
                <!-- <div class="footer-nav">			
                <?php previous_post_link(); ?>
                <?php next_post_link(); ?> 
                </div> -->
                <?php fotography_entry_footer(); ?>
            </footer><!-- .entry-footer -->
        </div>
    </article><!-- #post-## -->
<!--</div>-->
<?php if($layouts == 'folio' || $layouts == 'classic') : ?>
</div>
<?php endif; ?>

