<?php
/**
 * Template Name: Testimonial Page
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package FotoGraphy
 */
get_header();
$testimonial_layout = esc_attr(get_theme_mod('fotography_testimonials_section'));
$testimonial_columns = esc_attr(get_theme_mod('fotography_testimonial_columns_section'));
$limit = get_theme_mod('fotography_testimonial_desc_section');
$category_id = get_post_meta($post->ID, 'testimonial_dropdown', TRUE);
$post_sidebar = esc_attr(get_post_meta($post->ID, 'fotography_page_layouts', true));
?>
<div class="container">  
    <div class="clearfix"> 
        <header class="page-title">
            <h1>
                <span class="outer">
                    <?php the_title(); ?>
                    <div class="clearfix"></div>
                    <span class="inner">
                    </span>
                </span>
            </h1>
        </header>
        <?php
        if ($testimonial_layout == 'teslistview') {
            ?>
            <?php if (!($post_sidebar == 'nosidebar')) { ?>                
                <?php
                if ($post_sidebar == 'leftsidebar') {
                    get_sidebar('left');
                }
                ?>
                <div id="primary" class="content-area">
                    <?php
                }
            }
            ?>

            <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>    
                <section class="entry-content fg_testimonial <?php
                if (!empty($testimonial_layout) && $testimonial_layout == 'gridview') {
                    echo 'grid-view';
                } else if (!empty($testimonial_layout) && $testimonial_layout == 'teslistview') {
                    echo 'list-view';
                } else {
                    echo 'grid-view';
                }
                ?> clearfix">
                         <?php
                         $args = array('post_type' => 'post', 'posts_per_page' => '-1',
                             'tax_query' => array(
                                 array(
                                     'taxonomy' => 'category',
                                     'field' => 'id',
                                     'terms' => $category_id
                                 )
                             )
                         );
                         $query = new WP_Query($args);
                         if ($query->have_posts()): while ($query->have_posts()) : $query->the_post();
                                 ?>
                            <div class="testimonial-block <?php
                            if (!empty($testimonial_layout) && $testimonial_layout == 'gridview') {
                                if (!empty($testimonial_columns)) :
                                    ?> testimonial-height grid-<?php echo $testimonial_columns; ?><?php
                                     endif;
                                 }
                                 ?> clearfix">
                                <div class="testimonial-block-inner">
                                    <figure class="testimonial-image">
                                        <?php
                                        if (has_post_thumbnail()) :
                                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'fotography-thumb-view-blog', true);
                                        endif;
                                        ?>
                                        <img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>">
                                        <?php if (!empty($testimonial_layout) && $testimonial_layout == 'gridview') : ?>
                                            <div class="testimonial-hover">            
                                                <div class="testimonial-text"><?php echo fotography_word_count(get_the_content(), $limit); ?></div>
                                            </div>
                                        <?php endif; ?>
                                        <?php if (!empty($testimonial_layout) && $testimonial_layout == 'gridview') : ?>
                                            <div class="testimonial-name">--&nbsp;&nbsp;<?php the_title(); ?>&nbsp;&nbsp;--</div>
                                        <?php endif; ?>                   
                                    </figure>
                                    <?php if (!empty($testimonial_layout) && $testimonial_layout == 'teslistview') : ?>                                       
                                        <div class="testimonial-text-wrap">
                                            <span class="vertical_outer">
                                                <span class="vertical_inner">
                                                    <div class="testimonial-text"><?php echo fotography_word_count(get_the_content(), $limit); ?></div>
                                                    <div class="testimonial-name">--&nbsp;&nbsp;<?php the_title(); ?>&nbsp;&nbsp;--</div>
                                                </span>
                                            </span>
                                        </div>
                                    <?php endif; ?>               
                                </div>
                            </div>
                            <?php
                        endwhile;
                    endif;
                    wp_reset_query();
                    ?>
                </section>

                <div class="clearfix"></div> 
            </article>
            <?php
            if ($testimonial_layout == 'teslistview') {

                if (!($post_sidebar == 'nosidebar')) {
                    ?>
                </div>
                <?php
            }
            if ($post_sidebar == 'rightsidebar') {
                get_sidebar('right');
            }
        }
        ?>
    </div>
</div>
<?php get_footer(); ?>
